Subject: Re: How to run git-gui always in English?

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Oct 2007 01:56:51 -0700

Peter Karlsson <[email-masked]> writes:

> Alex Riesen:
>
>> Because you do not send changes to a _server_. There is no
>> server. There is just another repo. Hence just "push"
>
> Fine. "Send to repository", then. My point is that if "push" is a
> technical term, then it doesn't belong in the GUI, and if it isn't,
> then it should be translated like any other UI element.

Why doesn't a "technical term" belong in the GUI in the first
place?

If majority of people who use git know and use the term "push"
to describe that concept, certainly they will be the people from
whom the new people who start to use git (either from command
line or from GUI) get help.  Why do you want to have them use
different language to make the communication more difficult?